Summary: Coraid ATA over Ethernet (AoE) utilities.
Name: aoetools
Version: 34
Release: 1%{dist}
URL: http://aoetools.sourceforge.net/
Source0: http://sourceforge.net/projects/aoetools/files/aoetools/31/%{name}-%{version}.tar.gz
Source1: aoe-modprobe
Source2: aoe.init
Source3: aoe.sysconfig
Source4: aoe-udev.rules
License: GPL
Group: Application/System
BuildRoot: %{_tmppath}/%{name}-%{version}
Conflicts: aoe
Obsoletes: aoe

%description
Tools for creating and managing ATA over Ethernet (AoE) disk arrays.

%prep
%setup -n %{name}-%{version}

%build
make \
  SBINDIR=%{buildroot}/usr/sbin \
  MANDIR=%{buildroot}/usr/share/man

%install
test "%{buildroot}" != "/" && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/modprobe.d
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/share/man/man8
mkdir -p %{buildroot}/usr/share/%{name}

# aoetools
make install \
  SBINDIR=%{buildroot}/usr/sbin \
  MANDIR=%{buildroot}/usr/share/man

install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/modprobe.d/aoe.conf
install -m0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/rc.d/init.d/aoe
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/aoe
install -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/udev/rules.d/60-aoe.rules

%clean
test "%{buildroot}" != "/" && rm -rf %{buildroot}

%post 
chkconfig --add aoe

%files
%defattr(-,root,root)
%{_sysconfdir}/modprobe.d/aoe.conf
%{_sysconfdir}/udev/rules.d/*
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/aoe
%config(noreplace) %{_sysconfdir}/sysconfig/aoe
%doc COPYING HACKING NEWS README
%attr(0755,root,root) /usr/sbin/*
%{_mandir}/man8/*
/usr/share/%{name}

%changelog
* Sat Jul 21 2012 Gavin Carr <gavin@openfusion.com.au> 34-1
- Update to version 34.

* Fri Jul 20 2012 Gavin Carr <gavin@openfusion.com.au> 32-3
- Removed obsolete NAME="%k" clause from udev rules.

* Thu Jan 05 2012 Gavin Carr <gavin@openfusion.com.au> 32-2
- Add aoe udev rules file.

* Fri Oct 21 2011 Gavin Carr <gavin@openfusion.com.au> 32-1
- Update to version 32.

* Tue Sep 13 2011 Gavin Carr <gavin@openfusion.com.au> 31-1
- Migrate from old aoe package to separate aoetools.

